# -*- coding: utf-8 -*-
"""
Created on Tue Aug  9 16:42:05 2022

@author: user
"""
import pandas as pd

def get_ALOS_DEM_file_name(X,Y):  

    ALOS_data = pd.read_excel(r"Y:\01- General\04- GIS\04- Raster\Egypt ALOS DEM\ALOS_tiff_Locator.xlsx",sheet_name="Sheet1")
    
    for i in range(len(ALOS_data)):
        x_min = ALOS_data.iloc[i,3]
        x_max = ALOS_data.iloc[i,4]
        y_min = ALOS_data.iloc[i,5]
        y_max = ALOS_data.iloc[i,6]
        if(X > x_min and X < x_max and Y > y_min and Y < y_max):
            return ALOS_data.iloc[i,2]



Req_points = [
            ("A_01",25.1702667898,29.4539447523),
("A_02",25.2448081662,29.4539447523),
("A_03",25.3193495425,29.4539447523),
("A_04",25.3938909189,29.4539447523),
("A_05",25.4684322953,29.4539447523),
("A_06",25.5429736716,29.4539447523),
("A_07",25.617515048,29.4539447523),
("A_08",25.6920564243,29.4539447523),
("A_09",25.7665978007,29.4539447523),
("A_10",25.8411391771,29.4539447523),
("A_11",25.9156805534,29.4539447523),
("A_12",25.9902219298,29.4539447523),
("A_13",26.0647633061,29.4539447523),
("A_14",26.1393046825,29.4539447523),
("A_15",26.2138460589,29.4539447523),
("B_01",25.1702667898,29.3675084754),
("B_02",25.2448081662,29.3675084754),
("B_03",25.3193495425,29.3675084754),
("B_04",25.3938909189,29.3675084754),
("B_05",25.4684322953,29.3675084754),
("B_06",25.5429736716,29.3675084754),
("B_07",25.617515048,29.3675084754),
("B_08",25.6920564243,29.3675084754),
("B_09",25.7665978007,29.3675084754),
("B_10",25.8411391771,29.3675084754),
("B_11",25.9156805534,29.3675084754),
("B_12",25.9902219298,29.3675084754),
("B_13",26.0647633061,29.3675084754),
("B_14",26.1393046825,29.3675084754),
("B_15",26.2138460589,29.3675084754),
("C_01",25.1702667898,29.2810721986),
("C_02",25.2448081662,29.2810721986),
("C_03",25.3193495425,29.2810721986),
("C_04",25.3938909189,29.2810721986),
("C_05",25.4684322953,29.2810721986),
("C_06",25.5429736716,29.2810721986),
("C_07",25.617515048,29.2810721986),
("C_08",25.6920564243,29.2810721986),
("C_09",25.7665978007,29.2810721986),
("C_10",25.8411391771,29.2810721986),
("C_11",25.9156805534,29.2810721986),
("C_12",25.9902219298,29.2810721986),
("C_13",26.0647633061,29.2810721986),
("C_14",26.1393046825,29.2810721986),
("C_15",26.2138460589,29.2810721986),
("D_01",25.1702667898,29.1946359217),
("D_02",25.2448081662,29.1946359217),
("D_03",25.3193495425,29.1946359217),
("D_04",25.3938909189,29.1946359217),
("D_05",25.4684322953,29.1946359217),
("D_06",25.5429736716,29.1946359217),
("D_07",25.617515048,29.1946359217),
("D_08",25.6920564243,29.1946359217),
("D_09",25.7665978007,29.1946359217),
("D_10",25.8411391771,29.1946359217),
("D_11",25.9156805534,29.1946359217),
("D_12",25.9902219298,29.1946359217),
("D_13",26.0647633061,29.1946359217),
("D_14",26.1393046825,29.1946359217),
("D_15",26.2138460589,29.1946359217),
("E_01",25.1702667898,29.1081996449),
("E_02",25.2448081662,29.1081996449),
("E_03",25.3193495425,29.1081996449),
("E_04",25.3938909189,29.1081996449),
("E_05",25.4684322953,29.1081996449),
("E_06",25.5429736716,29.1081996449),
("E_07",25.617515048,29.1081996449),
("E_08",25.6920564243,29.1081996449),
("E_09",25.7665978007,29.1081996449),
("E_10",25.8411391771,29.1081996449),
("E_11",25.9156805534,29.1081996449),
("E_12",25.9902219298,29.1081996449),
("E_13",26.0647633061,29.1081996449),
("E_14",26.1393046825,29.1081996449),
("E_15",26.2138460589,29.1081996449),
("F_01",25.1702667898,29.021763368),
("F_02",25.2448081662,29.021763368),
("F_03",25.3193495425,29.021763368),
("F_04",25.3938909189,29.021763368),
("F_05",25.4684322953,29.021763368),
("F_06",25.5429736716,29.021763368),
("F_07",25.617515048,29.021763368),
("F_08",25.6920564243,29.021763368),
("F_09",25.7665978007,29.021763368),
("F_10",25.8411391771,29.021763368),
("F_11",25.9156805534,29.021763368),
("F_12",25.9902219298,29.021763368),
("F_13",26.0647633061,29.021763368),
("F_14",26.1393046825,29.021763368),
("F_15",26.2138460589,29.021763368),

            
            ]


for pt in Req_points:
 print(pt[0],get_ALOS_DEM_file_name(pt[1], pt[2]))